# Google Compute Engine Autoscaler API . zoneOperations

## Instance Methods

Deletes the specified zone-specific operation resource.

Retrieves the specified zone-specific operation resource.

Retrieves the list of operation resources contained within the specified zone.

Retrieves the next page of results.

### Method Details

`delete(project, zone, operation)`

    Deletes the specified zone-specific operation resource.

    Args:
      project: string, A parameter (required)
      zone: string, A parameter (required)
      operation: string, A parameter (required)

`get(project, zone, operation)`

    Retrieves the specified zone-specific operation resource.

    Args:
      project: string, A parameter (required)
      zone: string, A parameter (required)
      operation: string, A parameter (required)

    Returns:
      An object of the form:

        {
        "targetId": "A String",
        "clientOperationId": "A String",
        "creationTimestamp": "A String",
        "id": "A String",
        "zone": "A String",
        "insertTime": "A String",
        "operationType": "A String",
        "httpErrorMessage": "A String",
        "progress": 42,
        "httpErrorStatusCode": 42,
        "statusMessage": "A String",
        "status": "A String",
        "description": "A String",
        "warnings": [
          {
            "message": "A String",
            "code": "A String",
            "data": [
              {
                "value": "A String",
                "key": "A String",
              },
            ],
          },
        ],
        "user": "A String",
        "startTime": "A String",
        "kind": "autoscaler#operation", # [Output Only] Type of the resource. Always compute#operation for Operation resources.
        "name": "A String",
        "region": "A String",
        "error": {
          "errors": [
            {
              "message": "A String",
              "code": "A String",
              "location": "A String",
            },
          ],
        },
        "endTime": "A String",
        "selfLink": "A String",
        "targetLink": "A String",
      }

`list(project, zone, maxResults=None, pageToken=None, filter=None)`

    Retrieves the list of operation resources contained within the specified zone.

    Args:
      project: string, A parameter (required)
      zone: string, A parameter (required)
      maxResults: integer, A parameter
      pageToken: string, A parameter
      filter: string, A parameter

    Returns:
      An object of the form:

        {
        "nextPageToken": "A String",
        "items": [
          {
            "targetId": "A String",
            "clientOperationId": "A String",
            "creationTimestamp": "A String",
            "id": "A String",
            "zone": "A String",
            "insertTime": "A String",
            "operationType": "A String",
            "httpErrorMessage": "A String",
            "progress": 42,
            "httpErrorStatusCode": 42,
            "statusMessage": "A String",
            "status": "A String",
            "description": "A String",
            "warnings": [
              {
                "message": "A String",
                "code": "A String",
                "data": [
                  {
                    "value": "A String",
                    "key": "A String",
                  },
                ],
              },
            ],
            "user": "A String",
            "startTime": "A String",
            "kind": "autoscaler#operation", # [Output Only] Type of the resource. Always compute#operation for Operation resources.
            "name": "A String",
            "region": "A String",
            "error": {
              "errors": [
                {
                  "message": "A String",
                  "code": "A String",
                  "location": "A String",
                },
              ],
            },
            "endTime": "A String",
            "selfLink": "A String",
            "targetLink": "A String",
          },
        ],
        "kind": "autoscaler#operationList", # [Output Only] Type of resource. Always compute#operations for Operations resource.
        "id": "A String",
        "selfLink": "A String",
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.